package geniusweb.actions;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonTypeName;

import geniusweb.issuevalue.Bid;

/**
 * An accept done by some party indicates that that party agrees with the bid.
 * Usually the contained {@link Bid} must be a bid that was previously
 * {@link Offer}ed by some party.
 */
@JsonTypeName("accept")
public class Accept extends ActionWithBid {

	/**
	 * @param id  the accepting party.
	 * @param bid the bid that was offered before (usually by some other Party )
	 */
	@JsonCreator
	public Accept(@JsonProperty("actor") PartyId id,
			@JsonProperty("bid") Bid bid) {
		super(id, bid);
	}

	@Override
	public String toString() {
		return "Accept[" + getActor() + "," + getBid() + "]";
	}

}
